/**
 *****************************************************************************************
 *	@file etn_mesh_fota_upd.h
 *
 *	@brief eaton ble mesh fota update model header file
 *
 *	@details this custom model from eaton, used to get firmware update information
 *
 *	@version C Style Guide Version 1.0
 *
 *	@copyright 2022 Eaton Corporation. All Rights Reserved.
 *
 *****************************************************************************************
 */
#ifndef ETN_MESH_FOTA_UPD_H
#define ETN_MESH_FOTA_UPD_H

/*
 *****************************************************************************************
 *		Headers
 *****************************************************************************************
 */
#include <bluetooth/mesh/model_types.h>
#include <etn_mesh_fota.h>

#ifdef __cplusplus
extern "C" {
#endif

/*
 *****************************************************************************************
 *		Opcodes for eaton mesh fota firmware update model
 *****************************************************************************************
 */

#define BT_MESH_ETN_FOTA_UPD_PROGRESS_GET_OP         BT_MESH_MODEL_OP_3( 0x21, BT_MESH_COMPANY_ID_EATON )
#define BT_MESH_ETN_FOTA_UPD_SRV_STATE_GET_OP        BT_MESH_MODEL_OP_3( 0x22, BT_MESH_COMPANY_ID_EATON )

#define BT_MESH_ETN_FOTA_UPD_PROGRESS_GET_MSG_MINLEN    1
#define BT_MESH_ETN_FOTA_UPD_SRV_STATE_GET_MSG_MINLEN   1 

/*
 *****************************************************************************************
 *		Constants
 *****************************************************************************************
 */


/*
 *****************************************************************************************
 *		Variables
 *****************************************************************************************PLAT
 */

/*
 *****************************************************************************************
 *		Structures
 *****************************************************************************************
 */

enum fota_upd_srv_state
{
	UPD_SRV_FW_UPDATE_AVLBL,
	UPD_SRV_FW_UPDATE_IN_PROGRESS,
	UPD_SRV_FW_UPDATE_SRV_ERROR,
	UPD_SRV_FW_UPDATE_STATE_ERR,
};


#ifdef __cplusplus
}
#endif

#endif